<!DOCTYPE html>
<html>
    <head>
        <title>Calculator</title>
        <style>
        .box{
            margin-top: 10%;
        }              
            .calculator{
                padding: 10px;
                border-radius: 1em;
                height: 380px;
                width: 450px;
                margin: auto;
                background-color: white;
                opacity: 50px;
 
            }
            input[type="button"]{
                width: 100%;
                border-radius: 5px;
                height: 70%;
            }
            input[type="text"]{
 
                border: solid black 1px;
                color: black;
                border-radius: 5px;
                width:98%;
                 height: 65%;
                 margin-right: 20px;
            }
            body{
                background-image: url(https://img.freepik.com/free-vector/dark-low-poly-background_1048-7971.jpg?size=626&ext=jpg);
            }
        </style>
        <script>
            function Erase()
            {
                document.getElementById("result").value =""
            }
            function display(num)
            {
                document.getElementById("result").value+=num;
            }
            function calc()
            {
                let x=document.getElementById("result").value;
                let y= eval(x);
                document.getElementById("result").value=y;
                console.log(y)
            }
        </script>
    </head>
    <body>
        <div class="box">
            <table class="calculator">
                <tr>
                    <td class="display-box" colspan="3"><input type="text" id="result"></td>
                    <td><input type="button" value="c" onclick="Erase()"></td>
                </tr>
                <tr>
                    <td><input type="button" value="7" onclick="display('7')"></td>
                    <td><input type="button" value="8" onclick="display('8')"></td>
                    <td><input type="button" value="9" onclick="display('9')"></td>
                    <td><input type="button" value="/" onclick="display('/')"></td>
                </tr>
                <tr>
                    <td><input type="button" value="4" onclick="display('4')"></td>
                    <td><input type="button" value="5" onclick="display('5')"></td>
                    <td><input type="button" value="6" onclick="display('6')"></td>
                    <td><input type="button" value="*" onclick="display('*')"></td>
                </tr>
                <tr>
                    <td><input type="button" value="1" onclick="display('1')"></td>
                    <td><input type="button" value="2" onclick="display('2')"></td>
                    <td><input type="button" value="3" onclick="display('3')"></td>
                    <td><input type="button" value="-" onclick="display('-')"></td>
                </tr>
                <tr>
                    <td><input type="button" value="." onclick="display('.')"></td>
                    <td><input type="button" value="0" onclick="display('0')"></td>
                    <td><input type="button" value="=" onclick="calc()"></td>
                    <td><input type="button" value="+" onclick="display('+')"></td>
                </tr>
            </table>
        </div>
    </body>
</html>
